Bug 364721 - KMail Crash every time I press "Enter" for completing a mail recipient.
Summary: KMail Crash every time I press "Enter" for completing a mail recipient.
Status: RESOLVED FIXED
Alias: None
Product: Akonadi
Classification: Frameworks and Libraries
Component: general (show other bugs)
Version: GIT (master)
Platform: Other Linux
: NOR crash (vote)
Target Milestone: ---
Assignee: kdepim bugs
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2016-06-24 20:33 UTC by Andreas Cord-Landwehr
Modified: 2016-08-09 19:07 UTC (History)
1 user (show)

See Also:
Latest Commit:
Version Fixed In: 16.08.0


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Andreas Cord-Landwehr 2016-06-24 20:33:39 UTC
-- Information about the crash:
- What I was doing when the application crashed:

As explained in the title: KMail Crash every time I press "Enter" for completing a mail recipient.

(I am pasting only the problematic thread)

Thread 1 (Thread 0x7f0b08f4d940 (LWP 7992)):
[KCrash Handler]
#6  0x00007f0b25457458 in __GI_raise (sig=sig@entry=6) at ../sysdeps/unix/sysv/linux/raise.c:55
#7  0x00007f0b254588da in __GI_abort () at abort.c:89
#8  0x00007f0b2610681e in qt_message_fatal(QtMsgType, QMessageLogContext const&, QString const&) (context=..., message=...) at global/qlogging.cpp:1648
#9  0x00007f0b26102cd6 in QMessageLogger::fatal(char const*, ...) const (this=0x7ffce93e9570, msg=0x7f0b26435530 "ASSERT: \"%s\" in file %s, line %d") at global/qlogging.cpp:790
#10 0x00007f0b260fbe4e in qt_assert(char const*, char const*, int) (assertion=0x7f0b292b6ace "!mReadingFinished", file=0x7f0b292b6a20 "/opt/kde/src/kde/pim/akonadi/src/core/jobs/job.cpp", line=69) at global/qglobal.cpp:2999
#11 0x00007f0b29224046 in Akonadi::JobPrivate::handleResponse(long long, Akonadi::Protocol::Command const&) (this=0x63c8c20, tag=16, response=...) at /opt/kde/src/kde/pim/akonadi/src/core/jobs/job.cpp:69
#12 0x00007f0b291e5932 in Akonadi::SessionPrivate::handleCommand(long long, Akonadi::Protocol::Command const&) (this=0x754abf0, tag=16, cmd=...) at /opt/kde/src/kde/pim/akonadi/src/core/session.cpp:143
#13 0x00007f0b291e7655 in Akonadi::Session::qt_static_metacall(QObject*, QMetaObject::Call, int, void**) (_o=0x753f050, _c=QMetaObject::InvokeMetaMethod, _id=4, _a=0x7f0a90003090) at /opt/kde/build/kde/pim/akonadi/src/core/moc_session.cpp:118
#14 0x00007f0b26386d07 in QMetaCallEvent::placeMetaCall(QObject*) (this=0x7f0a90002630, object=0x753f050) at kernel/qobject.cpp:495
#15 0x00007f0b26387da0 in QObject::event(QEvent*) (this=0x753f050, e=0x7f0a90002630) at kernel/qobject.cpp:1256
#16 0x00007f0b271104f2 in QApplicationPrivate::notify_helper(QObject*, QEvent*) (this=0x2196f80, receiver=0x753f050, e=0x7f0a90002630) at kernel/qapplication.cpp:3804
#17 0x00007f0b2710d8bd in QApplication::notify(QObject*, QEvent*) (this=0x7ffce93ea6a0, receiver=0x753f050, e=0x7f0a90002630) at kernel/qapplication.cpp:3163
#18 0x00007f0b2634dbfa in QCoreApplication::notifyInternal2(QObject*, QEvent*) (receiver=0x753f050, event=0x7f0a90002630) at kernel/qcoreapplication.cpp:1015
#19 0x00007f0b26351c30 in QCoreApplication::sendEvent(QObject*, QEvent*) (receiver=0x753f050, event=0x7f0a90002630) at ../../include/QtCore/../../src/corelib/kernel/qcoreapplication.h:225
#20 0x00007f0b2634efe2 in QCoreApplicationPrivate::sendPostedEvents(QObject*, int, QThreadData*) (receiver=0x0, event_type=0, data=0x21905d0) at kernel/qcoreapplication.cpp:1650
#21 0x00007f0b2634e962 in QCoreApplication::sendPostedEvents(QObject*, int) (receiver=0x0, event_type=0) at kernel/qcoreapplication.cpp:1508
#22 0x00007f0b263c7b2c in postEventSourceDispatch(GSource*, GSourceFunc, gpointer) (s=0x21e2df0) at kernel/qeventdispatcher_glib.cpp:270
#23 0x00007f0b148e61a7 in g_main_context_dispatch (context=0x7f0b000016f0) at /build/glib2.0-wnDt2X/glib2.0-2.48.1/./glib/gmain.c:3154
#24 0x00007f0b148e61a7 in g_main_context_dispatch (context=context@entry=0x7f0b000016f0) at /build/glib2.0-wnDt2X/glib2.0-2.48.1/./glib/gmain.c:3769
#25 0x00007f0b148e6400 in g_main_context_iterate (context=context@entry=0x7f0b000016f0, block=block@entry=1, dispatch=dispatch@entry=1, self=<optimized out>) at /build/glib2.0-wnDt2X/glib2.0-2.48.1/./glib/gmain.c:3840
#26 0x00007f0b148e64ac in g_main_context_iteration (context=0x7f0b000016f0, may_block=1) at /build/glib2.0-wnDt2X/glib2.0-2.48.1/./glib/gmain.c:3901
#27 0x00007f0b263c8305 in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) (this=0x21f30c0, flags=...) at kernel/qeventdispatcher_glib.cpp:417
#28 0x00007f0b08cf2e86 in QPAEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) (this=0x21f30c0, flags=...) at eventdispatchers/qeventdispatcher_glib.cpp:115
#29 0x00007f0b2634a570 in QEventLoop::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) (this=0x7ffce93ea5b0, flags=...) at kernel/qeventloop.cpp:128
#30 0x00007f0b2634a86c in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) (this=0x7ffce93ea5b0, flags=...) at kernel/qeventloop.cpp:204
#31 0x00007f0b2634e344 in QCoreApplication::exec() () at kernel/qcoreapplication.cpp:1285
#32 0x00007f0b26943598 in QGuiApplication::exec() () at kernel/qguiapplication.cpp:1607
#33 0x00007f0b2710d2a1 in QApplication::exec() () at kernel/qapplication.cpp:2979
#34 0x00000000004058f8 in main(int, char**) (argc=1, argv=0x7ffce93ead28) at /opt/kde/src/kde/kdepim/kontact/src/main.cpp:221

Reproducible: Always
Comment 1 Laurent Montel 2016-06-24 20:45:36 UTC
Fixed in 5.2.3 if I remember.
Comment 2 Andreas Cord-Landwehr 2016-06-25 07:16:46 UTC
I can still reproduce it with yesterday night's master branch (updated kdesrc-build groups kde-pimlibs and kde-pim; restarted Akonadi).
Comment 3 Milian Wolff 2016-08-09 09:46:44 UTC
I get the same with up2date kdesrc-builds. I can also easily reproduce it, but only when I'm connected to LDAP. On the command line I see:

debug: kmail2/log_libkdepim/KPIM::AddresseeLineEditPrivate::akonadiPerformSearch: searching akonadi with: "don" [/home/milian/projects/kf5/src/kde/pim/libkdepim/src/addressline/addresslineedit/addresseelineedit_p.cpp:507/pid=20226]
debug: kmail2/log_akonadicore/Akonadi::SessionPrivate::init: "contactsCompletionSession" [/home/milian/projects/kf5/src/kde/pim/akonadi/src/core/session.cpp:320/pid=20226]
debug: kmail2/log_akonadicore/Akonadi::ConnectionThread::doReconnect: connectToServer "/tmp/akonadi-milian.MYJzwE/akonadiserver.socket" [/home/milian/projects/kf5/src/kde/pim/akonadi/src/core/connectionthread.cpp:161/pid=20226]
debug: kmail2/log_libkdepim/KPIM::AddresseeLineEditPrivate::akonadiHandlePending: Pending items:  0 [/home/milian/projects/kf5/src/kde/pim/libkdepim/src/addressline/addresslineedit/addresseelineedit_p.cpp:543/pid=20226]
debug: kmail2/log_akonadicore/Akonadi::SessionPrivate::handleCommand: Connected to "Akonadi" , using protocol version 53 [/home/milian/projects/kf5/src/kde/pim/akonadi/src/core/session.cpp:114/pid=20226]
debug: kmail2/log_akonadicore/Akonadi::SessionPrivate::handleCommand: Server says: "Not Really IMAP server" [/home/milian/projects/kf5/src/kde/pim/akonadi/src/core/session.cpp:115/pid=20226]
debug: kmail2/log_libkdepim/KPIM::AddresseeLineEditPrivate::slotAkonadiSearchResult: Found 0 items [/home/milian/projects/kf5/src/kde/pim/libkdepim/src/addressline/addresslineedit/addresseelineedit_p.cpp:842/pid=20226]
debug: kmail2/log_libkdepim/KPIM::AddresseeLineEditPrivate::slotAkonadiSearchResult: Found 0 items [/home/milian/projects/kf5/src/kde/pim/libkdepim/src/addressline/addresslineedit/addresseelineedit_p.cpp:842/pid=20226]
debug: kmail2/log_ldap/KLDAP::LdapUrl::updateQuery: LDAP URL updateQuery(): "ldaps://mail.kdab.com:636/dc=kdab,dc=com???base" [/home/milian/projects/kf5/src/kde/pim/kldap/src/ldapurl.cpp:239/pid=20226]
debug: kmail2/log_ldap/KLDAP::LdapUrl::updateQuery: LDAP URL updateQuery(): "ldaps://mail.kdab.com:636/dc=kdab,dc=com???base" [/home/milian/projects/kf5/src/kde/pim/kldap/src/ldapurl.cpp:239/pid=20226]
debug: kmail2/log_ldap/KLDAP::LdapUrl::updateQuery: LDAP URL updateQuery(): "ldaps://uid=milian,ou=people,dc=kdab,dc=com@mail.kdab.com:636/dc=kdab,dc=com??cn,mail,givenname,sn,objectClass?base" [/home/milian/projects/kf5/src/kde/pim/kldap/src/ldapurl.cpp:239/pid=20226]
debug: kmail2/log_ldap/KLDAP::LdapUrl::updateQuery: LDAP URL updateQuery(): "ldaps://uid=milian,ou=people,dc=kdab,dc=com@mail.kdab.com:636/dc=kdab,dc=com??cn,mail,givenname,sn,objectClass?sub" [/home/milian/projects/kf5/src/kde/pim/kldap/src/ldapurl.cpp:239/pid=20226]
debug: kmail2/log_ldap/KLDAP::LdapUrl::updateQuery: LDAP URL updateQuery(): "ldaps://uid=milian,ou=people,dc=kdab,dc=com@mail.kdab.com:636/dc=kdab,dc=com??cn,mail,givenname,sn,objectClass?sub?%28%26%28%7C%28objectclass%3Dperson%29%28objectclass%3DgroupOfNames%29%28mail%3D%2A%29%29%28%7C%28cn%3Ddon%2A%29%28mail%3Ddon%2A%29%28givenName%3Ddon%2A%29%28sn%3Ddon%2A%29%29%29" [/home/milian/projects/kf5/src/kde/pim/kldap/src/ldapurl.cpp:239/pid=20226]
debug: kmail2/log_ldapclient/KLDAP::LdapClient::startQuery: LdapClient: Doing query: "ldaps://uid=milian,ou=people,dc=kdab,dc=com@mail.kdab.com:636/dc=kdab,dc=com??cn,mail,givenname,sn,objectClass?sub?%28%26%28%7C%28objectclass%3Dperson%29%28objectclass%3DgroupOfNames%29%28mail%3D%2A%29%29%28%7C%28cn%3Ddon%2A%29%28mail%3Ddon%2A%29%28givenName%3Ddon%2A%29%28sn%3Ddon%2A%29%29%29" [/home/milian/projects/kf5/src/kde/pim/libkdepim/src/ldap/ldapclient.cpp:140/pid=20226]
debug: kmail2/log_ldapclient/KLDAP::LdapClientSearch::startSearch: LdapClientSearch::startSearch() "&(|(objectclass=person)(objectclass=groupOfNames)(mail=*))(|(cn=don*)(mail=don*)(givenName=don*)(sn=don*))" [/home/milian/projects/kf5/src/kde/pim/libkdepim/src/ldap/ldapclientsearch.cpp:244/pid=20226]
debug: kmail2/log_ldap/KLDAP::Ldif::processLine: ldapentry dn: "uid=donald,ou=People,dc=kdab,dc=com" [/home/milian/projects/kf5/src/kde/pim/kldap/src/ldif.cpp:223/pid=20226]
warning: kmail2/log_akonadicore/Akonadi::JobPrivate::handleResponse: Received response for a job that does not expect any more data, ignoring [/home/milian/projects/kf5/src/kde/pim/akonadi/src/core/jobs/job.cpp:66/pid=20226]
debug: kmail2/log_akonadicore/Akonadi::JobPrivate::handleResponse: Response tag: 27 , response type: Search [/home/milian/projects/kf5/src/kde/pim/akonadi/src/core/jobs/job.cpp:67/pid=20226]
debug: kmail2/log_akonadicore/Akonadi::JobPrivate::handleResponse: Job tag: 27 job: Akonadi::ContactGroupSearchJob(0x11e2ef10) [/home/milian/projects/kf5/src/kde/pim/akonadi/src/core/jobs/job.cpp:68/pid=20226]
fatal: kmail2/unknown: ASSERT: "!mReadingFinished" in file /home/milian/projects/kf5/src/kde/pim/akonadi/src/core/jobs/job.cpp, line 69 [unknown:0/pid=20226]
Comment 4 Milian Wolff 2016-08-09 12:05:29 UTC
Still valid with the latest git master from just now. This time, it asserted only on the second time I searched for "don" and then pressed enter to accept the ldap-suggested completion item:

ebug: kmail2/log_libkdepim/KPIM::AddresseeLineEditPrivate::akonadiPerformSearch: searching akonadi with: "don" [/home/milian/projects/kf5/src/kde/pim/libkdepim/src/addressline/addresslineedit/addresseelineedit_p.cpp:507/pid=12426]
debug: kmail2/log_akonadicore/Akonadi::SessionPrivate::init: "contactsCompletionSession" [/home/milian/projects/kf5/src/kde/pim/akonadi/src/core/session.cpp:320/pid=12426]
debug: kmail2/log_akonadicore/Akonadi::ConnectionThread::doReconnect: connectToServer "/tmp/akonadi-milian.MYJzwE/akonadiserver.socket" [/home/milian/projects/kf5/src/kde/pim/akonadi/src/core/connectionthread.cpp:168/pid=12426]
debug: kmail2/log_libkdepim/KPIM::AddresseeLineEditPrivate::akonadiHandlePending: Pending items:  0 [/home/milian/projects/kf5/src/kde/pim/libkdepim/src/addressline/addresslineedit/addresseelineedit_p.cpp:543/pid=12426]
debug: kmail2/log_akonadicore/Akonadi::SessionPrivate::handleCommand: Connected to "Akonadi" , using protocol version 53 [/home/milian/projects/kf5/src/kde/pim/akonadi/src/core/session.cpp:114/pid=12426]
debug: kmail2/log_akonadicore/Akonadi::SessionPrivate::handleCommand: Server says: "Not Really IMAP server" [/home/milian/projects/kf5/src/kde/pim/akonadi/src/core/session.cpp:115/pid=12426]
debug: kmail2/log_libkdepim/KPIM::AddresseeLineEditPrivate::slotAkonadiSearchResult: Found 0 items [/home/milian/projects/kf5/src/kde/pim/libkdepim/src/addressline/addresslineedit/addresseelineedit_p.cpp:842/pid=12426]
debug: kmail2/log_libkdepim/KPIM::AddresseeLineEditPrivate::slotAkonadiSearchResult: Found 0 items [/home/milian/projects/kf5/src/kde/pim/libkdepim/src/addressline/addresslineedit/addresseelineedit_p.cpp:842/pid=12426]
debug: kmail2/log_ldap/KLDAP::LdapUrl::updateQuery: LDAP URL updateQuery(): "ldaps://mail.kdab.com:636/dc=kdab,dc=com???base" [/home/milian/projects/kf5/src/kde/pim/kldap/src/ldapurl.cpp:239/pid=12426]
debug: kmail2/log_ldap/KLDAP::LdapUrl::updateQuery: LDAP URL updateQuery(): "ldaps://mail.kdab.com:636/dc=kdab,dc=com?" [/home/milian/projects/kf5/src/kde/pim/kldap/src/ldapurl.cpp:239/pid=12426]
debug: kmail2/log_ldap/KLDAP::LdapUrl::updateQuery: LDAP URL updateQuery(): "ldaps://uid=milian,ou=people,dc=kdab,dc=com@mail.kdab.com:636/dc=kdab,dc=com??cn,mail,givenname,sn,objectClass" [/home/milian/projects/kf5/src/kde/pim/kldap/src/ldapurl.cpp:239/pid=12426]
debug: kmail2/log_ldap/KLDAP::LdapUrl::updateQuery: LDAP URL updateQuery(): "ldaps://uid=milian,ou=people,dc=kdab,dc=com@mail.kdab.com:636/dc=kdab,dc=com??cn,mail,givenname,sn,objectClass?sub" [/home/milian/projects/kf5/src/kde/pim/kldap/src/ldapurl.cpp:239/pid=12426]
debug: kmail2/log_ldap/KLDAP::LdapUrl::updateQuery: LDAP URL updateQuery(): "ldaps://uid=milian,ou=people,dc=kdab,dc=com@mail.kdab.com:636/dc=kdab,dc=com??cn,mail,givenname,sn,objectClass?sub?%28%26%28%7C%28objectclass%3Dperson%29%28objectclass%3DgroupOfNames%29%28mail%3D%2A%29%29%28%7C%28cn%3Ddon%2A%29%28mail%3Ddon%2A%29%28givenName%3Ddon%2A%29%28sn%3Ddon%2A%29%29%29" [/home/milian/projects/kf5/src/kde/pim/kldap/src/ldapurl.cpp:239/pid=12426]
debug: kmail2/log_ldapclient/KLDAP::LdapClient::startQuery: LdapClient: Doing query: "ldaps://uid=milian,ou=people,dc=kdab,dc=com@mail.kdab.com:636/dc=kdab,dc=com??cn,mail,givenname,sn,objectClass?sub?%28%26%28%7C%28objectclass%3Dperson%29%28objectclass%3DgroupOfNames%29%28mail%3D%2A%29%29%28%7C%28cn%3Ddon%2A%29%28mail%3Ddon%2A%29%28givenName%3Ddon%2A%29%28sn%3Ddon%2A%29%29%29" [/home/milian/projects/kf5/src/kde/pim/libkdepim/src/ldap/ldapclient.cpp:140/pid=12426]
debug: kmail2/log_ldapclient/KLDAP::LdapClientSearch::startSearch: LdapClientSearch::startSearch() "&(|(objectclass=person)(objectclass=groupOfNames)(mail=*))(|(cn=don*)(mail=don*)(givenName=don*)(sn=don*))" [/home/milian/projects/kf5/src/kde/pim/libkdepim/src/ldap/ldapclientsearch.cpp:244/pid=12426]
debug: kmail2/log_ldap/KLDAP::Ldif::processLine: ldapentry dn: "uid=donald,ou=People,dc=kdab,dc=com" [/home/milian/projects/kf5/src/kde/pim/kldap/src/ldif.cpp:223/pid=12426]
debug: kmail2/log_akonadicore/Akonadi::SessionPrivate::init: "kmail2-1186278907-SearchSession" [/home/milian/projects/kf5/src/kde/pim/akonadi/src/core/session.cpp:320/pid=12426]
debug: kmail2/log_akonadicore/Akonadi::ConnectionThread::doReconnect: connectToServer "/tmp/akonadi-milian.MYJzwE/akonadiserver.socket" [/home/milian/projects/kf5/src/kde/pim/akonadi/src/core/connectionthread.cpp:168/pid=12426]
debug: kmail2/log_akonadicore/Akonadi::SessionPrivate::handleCommand: Connected to "Akonadi" , using protocol version 53 [/home/milian/projects/kf5/src/kde/pim/akonadi/src/core/session.cpp:114/pid=12426]
debug: kmail2/log_akonadicore/Akonadi::SessionPrivate::handleCommand: Server says: "Not Really IMAP server" [/home/milian/projects/kf5/src/kde/pim/akonadi/src/core/session.cpp:115/pid=12426]
debug: kmail2/log_ldap/KLDAP::LdapUrl::updateQuery: LDAP URL updateQuery(): "ldaps://mail.kdab.com:636/dc=kdab,dc=com???base" [/home/milian/projects/kf5/src/kde/pim/kldap/src/ldapurl.cpp:239/pid=12426]
debug: kmail2/log_ldap/KLDAP::LdapUrl::updateQuery: LDAP URL updateQuery(): "ldaps://mail.kdab.com:636/dc=kdab,dc=com?" [/home/milian/projects/kf5/src/kde/pim/kldap/src/ldapurl.cpp:239/pid=12426]
debug: kmail2/log_ldap/KLDAP::LdapUrl::updateQuery: LDAP URL updateQuery(): "ldaps://uid=milian,ou=people,dc=kdab,dc=com@mail.kdab.com:636/dc=kdab,dc=com??cn,mail,givenname,sn,objectClass" [/home/milian/projects/kf5/src/kde/pim/kldap/src/ldapurl.cpp:239/pid=12426]
debug: kmail2/log_ldap/KLDAP::LdapUrl::updateQuery: LDAP URL updateQuery(): "ldaps://uid=milian,ou=people,dc=kdab,dc=com@mail.kdab.com:636/dc=kdab,dc=com??cn,mail,givenname,sn,objectClass?sub" [/home/milian/projects/kf5/src/kde/pim/kldap/src/ldapurl.cpp:239/pid=12426]
debug: kmail2/log_ldap/KLDAP::LdapUrl::updateQuery: LDAP URL updateQuery(): "ldaps://uid=milian,ou=people,dc=kdab,dc=com@mail.kdab.com:636/dc=kdab,dc=com??cn,mail,givenname,sn,objectClass?sub?%28%26%28%7C%28objectclass%3Dperson%29%28objectclass%3DgroupOfNames%29%28mail%3D%2A%29%29%28%7C%28cn%3DDonald Tait %3Cdonald%40kdab.com%3E%2A%29%28mail%3DDonald Tait %3Cdonald%40kdab.com%3E%2A%29%28givenName%3DDonald Tait %3Cdonald%40kdab.com%3E%2A%29%28sn%3DDonald Tait %3Cdonald%40kdab.com%3E%2A%29%29%29" [/home/milian/projects/kf5/src/kde/pim/kldap/src/ldapurl.cpp:239/pid=12426]
debug: kmail2/log_ldapclient/KLDAP::LdapClient::startQuery: LdapClient: Doing query: "ldaps://uid=milian,ou=people,dc=kdab,dc=com@mail.kdab.com:636/dc=kdab,dc=com??cn,mail,givenname,sn,objectClass?sub?%28%26%28%7C%28objectclass%3Dperson%29%28objectclass%3DgroupOfNames%29%28mail%3D%2A%29%29%28%7C%28cn%3DDonald Tait %3Cdonald%40kdab.com%3E%2A%29%28mail%3DDonald Tait %3Cdonald%40kdab.com%3E%2A%29%28givenName%3DDonald Tait %3Cdonald%40kdab.com%3E%2A%29%28sn%3DDonald Tait %3Cdonald%40kdab.com%3E%2A%29%29%29" [/home/milian/projects/kf5/src/kde/pim/libkdepim/src/ldap/ldapclient.cpp:140/pid=12426]
debug: kmail2/log_ldapclient/KLDAP::LdapClientSearch::startSearch: LdapClientSearch::startSearch() "&(|(objectclass=person)(objectclass=groupOfNames)(mail=*))(|(cn=Donald Tait <donald@kdab.com>*)(mail=Donald Tait <donald@kdab.com>*)(givenName=Donald Tait <donald@kdab.com>*)(sn=Donald Tait <donald@kdab.com>*))" [/home/milian/projects/kf5/src/kde/pim/libkdepim/src/ldap/ldapclientsearch.cpp:244/pid=12426]



debug: kmail2/log_libkdepim/KPIM::AddresseeLineEditPrivate::akonadiPerformSearch: searching akonadi with: "don" [/home/milian/projects/kf5/src/kde/pim/libkdepim/src/addressline/addresslineedit/addresseelineedit_p.cpp:507/pid=12426]
debug: kmail2/log_libkdepim/KPIM::AddresseeLineEditPrivate::akonadiHandlePending: Pending items:  0 [/home/milian/projects/kf5/src/kde/pim/libkdepim/src/addressline/addresslineedit/addresseelineedit_p.cpp:543/pid=12426]
debug: kmail2/log_libkdepim/KPIM::AddresseeLineEditPrivate::slotAkonadiSearchResult: Found 0 items [/home/milian/projects/kf5/src/kde/pim/libkdepim/src/addressline/addresslineedit/addresseelineedit_p.cpp:842/pid=12426]
debug: kmail2/log_libkdepim/KPIM::AddresseeLineEditPrivate::slotAkonadiSearchResult: Found 0 items [/home/milian/projects/kf5/src/kde/pim/libkdepim/src/addressline/addresslineedit/addresseelineedit_p.cpp:842/pid=12426]
warning: kmail2/log_akonadicore/Akonadi::JobPrivate::handleResponse: Received response for a job that does not expect any more data, ignoring [/home/milian/projects/kf5/src/kde/pim/akonadi/src/core/jobs/job.cpp:66/pid=12426]
debug: kmail2/log_akonadicore/Akonadi::JobPrivate::handleResponse: Response tag: 5 , response type: Search [/home/milian/projects/kf5/src/kde/pim/akonadi/src/core/jobs/job.cpp:67/pid=12426]
debug: kmail2/log_akonadicore/Akonadi::JobPrivate::handleResponse: Job tag: 5 job: Akonadi::ContactGroupSearchJob(0x19ed700) [/home/milian/projects/kf5/src/kde/pim/akonadi/src/core/jobs/job.cpp:68/pid=12426]
fatal: kmail2/unknown: ASSERT: "!mReadingFinished" in file /home/milian/projects/kf5/src/kde/pim/akonadi/src/core/jobs/job.cpp, line 69 [unknown:0/pid=12426]
*** KMail got signal 6 (Exiting)
Comment 5 Daniel Vrátil 2016-08-09 19:07:34 UTC
Git commit 3d9ebd56a6f6ca20c8ff7ac19bc5abbf819db182 by Daniel Vrátil.
Committed on 09/08/2016 at 19:07.
Pushed by dvratil into branch 'Applications/16.08'.

Ignore any response that arrives after job has finished
FIXED-IN: 16.08.0

M  +16   -7    src/core/jobs/job.cpp

http://commits.kde.org/akonadi/3d9ebd56a6f6ca20c8ff7ac19bc5abbf819db182